<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'

const authStore = useAuthStore()

const getRoleText = () => {
  const role = authStore.currentUser?.role
  if(role  === 'staff'){
    return 'Staff';
  }else{
    return 'Manager';
  }
}
</script>

<template>
    <v-menu width="250px" rounded>
      <template v-slot:activator="{ props }">
        <v-btn icon v-bind="props">
          <v-avatar>
            <v-img :src="`./img/userImage/user${authStore.currentUser?.id}.png`" alt="John"></v-img>
          </v-avatar>
        </v-btn>
      </template>
      <v-card>
        <v-card-text>
          <div class="mx-auto text-center">
            <v-avatar size="100">
              <v-img :src="`./img/userImage/user${authStore.currentUser?.id}.png`" alt="John"></v-img>
            </v-avatar>
            <h2 class="pa-2">{{ authStore.currentUser?.fullname }}</h2>
            <p class="mt-1">
              {{ authStore.currentUser?.email }}
            </p>
            <h3 class="mt-3">
              {{ getRoleText() }}
            </h3>
            <v-divider :thickness="2" class="border-opacity-100 my-4"></v-divider>
            <v-btn color="brown-lighten-2" rounded @click="authStore.logout"> Logout </v-btn>
          </div>
        </v-card-text>
      </v-card>
    </v-menu>
</template>
